// SettingDlg.cpp : インプリメンテーション ファイル
//

#include "stdafx.h"
#include "shitarabianLayer.h"
#include "SettingDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSettingDlg ダイアログ


CSettingDlg::CSettingDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSettingDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSettingDlg)
		// メモ - ClassWizard はこの位置にマッピング用のマクロを追加または削除します。
	//}}AFX_DATA_INIT
}


void CSettingDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSettingDlg)
	DDX_Control(pDX, IDC_LAYER_LIST, m_LayerList);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSettingDlg, CDialog)
	//{{AFX_MSG_MAP(CSettingDlg)
	ON_BN_CLICKED(IDC_LAYER_ADD, OnLayerAdd)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSettingDlg メッセージ ハンドラ

BOOL CSettingDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();

	m_LayerList.InsertColumn(	0,	"可視"	);
	m_LayerList.InsertColumn(	1,	"色"	);
	m_LayerList.InsertColumn(	2,	"名称"	);
	
	m_LayerList.SetColumnWidth(	0,	40		);
	m_LayerList.SetColumnWidth(	1,	50		);
	m_LayerList.SetColumnWidth(	2,	300		);

	m_LayerList.InsertItem( 0, "あいう");
	m_LayerList.InsertItem( 1, "えお");

	return TRUE;  // コントロールにフォーカスを設定しないとき、戻り値は TRUE となります
	              // 例外: OCX プロパティ ページの戻り値は FALSE となります
}

void CSettingDlg::OnLayerAdd() 
{
	TLayer	tLayer;

	tLayer.bVisible = TRUE;
	tLayer.colText = RGB( 200, 200, 200 );
	CTime t = CTime::GetCurrentTime();
	tLayer.strName = t.Format( "新規ﾚｲﾔｰ(%H'%M\"%S)" );
	m_paLayerz->Add( tLayer );
	ReflectContent();
}

void CSettingDlg::ReflectContent() 
{
	m_LayerList.DeleteAllItems();
	for( int idxLayer=0 ; idxLayer<m_paLayerz->GetSize() ; idxLayer++ )
	{
		m_LayerList.InsertItem( 0, m_paLayerz->GetAt(idxLayer).strName );
	}
}
